# Class default

- Defined in src/field/damage-number-handler.ts:6

#####
Index

### Constructors

constructor

### Properties

damageNumbers

### Methods

add

## Constructors

### constructor

- new default(): default

- #### Returns default

  - Defined in src/field/damage-number-handler.ts:9

## Properties

### `Private` damageNumbers

damageNumbers: Map< BattlerIndex , Text[]>

- Defined in src/field/damage-number-handler.ts:7

## Methods

### add

- add(target, amount, result?, critical?): void

- #### Parameters

  - target: default
  - amount: number
  - result: HEAL | DamageResult = HitResult.EFFECTIVE
  - critical: boolean = false

  #### Returns void

  - Defined in src/field/damage-number-handler.ts:13